X2Go Bug report logs - #1444
Firefox flags latest windows client download as virus or malware

Packages: x2goclient, windows; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient. Maintainer for windows is (unknown);

Reported by: Chris Duffy <cadeon924@gmail.com>

Date: Mon, 2 Mar 2020 23:05:02 UTC

Severity: normal

Tags: not-a-bug

Done: Stefan Baur <X2Go-ML-1@baur-itcs.de>

Bug is archived. No further changes may be made.

Full log


đź”— View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#1444 closed by Stefan Baur <X2Go-ML-1@baur-itcs.de> (False Alert)
Message-ID: <handler.1444.b1444.158565899722752.notifdone@bugs.x2go.org>
References: <a23afcf1-9007-4d46-e611-d81e8e5e5e94@baur-itcs.de>
X-X2go-PR-Message: they-closed 1444
X-X2go-PR-Package: x2goclient, windows
Date: Tue, 31 Mar 2020 12:50:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1585659002-22779-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the x2goclient, windows package:

#1444: Firefox flags latest windows client download as virus or malware

It has been closed by Stefan Baur <X2Go-ML-1@baur-itcs.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Baur <X2Go-ML-1@baur-itcs.de> by
replying to this email.


-- 
1444: bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1444
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Stefan Baur <X2Go-ML-1@baur-itcs.de>
To: 1444@bugs.x2go.org, cadeon924@gmail.com
Subject: False Alert
Date: Tue, 31 Mar 2020 14:49:45 +0200
[Message part 3 (text/plain, inline)]
Control: close -1
Control: tag -1 not-a-bug

Closing this bug as it is a known false alert.  Whenever these
"smartscreen" filters (Chrome and Internet Explorer have them as well)
detect a Windows executable that isn't digitally signed (and our
detached GPG signatures don't count in that regard), and that hasn't
seen a large number of downloads, it will automatically flag it as
malicious.

If enough users report this to Mozilla/Google/Microsoft as a false
alert, a human will review the file and whitelist it.
Possibly this also happens over time, with a rising number of downloads
and/or the detection rates at virustotal.com not rising even after
several weeks.

I've just attempted a test download using the latest Firefox on a
Windows 10 machine, no such warning was issued any more.

-Stefan

-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243

[signature.asc (application/pgp-signature, attachment)]
[Message part 5 (message/rfc822, inline)]
From: Chris Duffy <cadeon924@gmail.com>
To: submit@bugs.x2go.org
Subject: Firefox flags latest windows client download as virus or malware
Date: Mon, 2 Mar 2020 18:03:34 -0500
[Message part 6 (text/plain, inline)]
Package: x2goclient, windows
Version: 4.1.2.2, maybe others

Firefox flags x2goclient-4.1.2.2-2020.02.13-setup.exe as a virus. No
further information is provided.

I found links to a folder with earlier versions from this page:
https://wiki.x2go.org/doku.php/doc:installation:x2goclient

x2goclient-4.1.2.0-2018.06.22-setup.exe was not flagged, indicating that
the issue is in more recent builds.

Workaround: Downloaded and installing the older version from here:
https://code.x2go.org/releases/binary-win32/x2goclient/releases/4.1.2.0-2018.06.22/


[image: Capture.PNG]
[Message part 7 (text/html, inline)]
[Capture.PNG (image/png, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jun 25 09:23:59 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.